package org.pine.mybatis.typehandler;

import java.sql.CallableStatement;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

import org.apache.ibatis.type.JdbcType;
import org.apache.ibatis.type.TypeHandler;
import org.pine.mybatis.po.Sex;

/**
 * Sexʹ
 * @author pine
 *
 */
public class SexTypeHandler implements TypeHandler<Sex> {

	/*ӡɾ޸ģJavaתΪJDBC*/
	/*Sexö-->(int code-->JDBCINTEGER-->SQLint)*/
	@Override
	public void setParameter(PreparedStatement ps, int i, Sex sex,
			JdbcType jdbcType) throws SQLException {
		ps.setInt(i, sex.getCode());
	}

	/*ڲѯJDBCתΪJava*/
	/*(SQLint-->JDBCINTEGER-->int code)-->Sexö*/
	@Override
	public Sex getResult(ResultSet rs, String columnName) throws SQLException {
		int code = rs.getInt(columnName);
		return Sex.getSex(code);
	}

	/*ڲѯJDBCתΪJava*/
	/*(SQLint-->JDBCINTEGER-->int code)-->Sexö*/
	@Override
	public Sex getResult(ResultSet rs, int columnIndex) throws SQLException {
		int code = rs.getInt(columnIndex);
		return Sex.getSex(code);
	}

	/*ڲѯJDBCתΪJava*/
	/*(SQLint-->JDBCINTEGER-->int code)-->Sexö*/
	@Override
	public Sex getResult(CallableStatement cs, int columnIndex) throws SQLException {
		int code =cs.getInt(columnIndex);
		return Sex.getSex(code);
	}



}
