package org.pine.mybatis.mapper;

import java.io.InputStream;
import java.util.List;

import org.apache.ibatis.io.Resources;
import org.apache.ibatis.session.SqlSession;
import org.apache.ibatis.session.SqlSessionFactory;
import org.apache.ibatis.session.SqlSessionFactoryBuilder;
import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Test;
import org.pine.mybatis.po.Staff;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class StaffMapperTest {

   private static Logger logger = LoggerFactory.getLogger(StaffMapperTest.class);	
	
   private static SqlSessionFactory sqlSessionFactory;
	
	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
		logger.info("ʼ");
		String fileName = "SqlMapConfig.xml";
		InputStream	inputStream = Resources.getResourceAsStream(fileName);	
		sqlSessionFactory = new SqlSessionFactoryBuilder().build(inputStream);
		inputStream.close();
		logger.info("sqlSessionFactoryʼ");
	}

	@AfterClass
	public static void tearDownAfterClass() throws Exception {
		logger.info("");
	}

	@Test
	public void testQueryAllStaff() {
	  SqlSession sqlSession = sqlSessionFactory.openSession(false);
	  StaffMapper staffMapper = sqlSession.getMapper(StaffMapper.class);
	  List<Staff> staffs = staffMapper.queryAllStaff();
	  logger.info(staffs.toString());
	  sqlSession.close();
	}

}
